import 'package:flutter/material.dart';

void main() {
  runApp(const MainPage());
}

class MainPage extends StatelessWidget {
  const MainPage({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Text Sample',
      theme: ThemeData(
        useMaterial3: false,  // Material 3を無効にする
      ),
      home: TextInputWidget(),
    );
  }
}

class TextInputWidget extends StatefulWidget {
  const TextInputWidget({super.key});

  @override
  State<TextInputWidget> createState() => _TextInputWidgetState();
}

class _TextInputWidgetState extends State<TextInputWidget> {
  var _controller = TextEditingController();  // TextEditingControllerインスタンスを生成

  List<String> list = [];  // リスト一覧で表示させるテキストを保存するための配列を定義

  @override
  void initState() {
    super.initState();
    _controller.text = '';
  }

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Text Input Sample'),
      ),
      body: Column(
        children: [
          TextField(
              controller: _controller,
              onChanged: (String value) {
                print(value);
              }
          ),
          Container(
            padding: const EdgeInsets.all(16.0),
            child: ElevatedButton(onPressed: () {
              if (_controller.text.isEmpty == false) {
                setState(() {
                  list.add(_controller.text);
                  _controller.clear();
                  FocusScope.of(context).unfocus();
                });
              }
            }, child: const Text('保存')),
          ),
          Expanded(
            child: ListView.builder(
              itemCount: list.length,
              itemBuilder: (BuildContext context, int index) {
                return ListTile(
                  leading: const Icon(Icons.circle),
                  title: Text(list[index]),
                );
              },
            ),
          )
        ],
      ),
    );
  }

  @override
  void dispose() {
    super.dispose();
    _controller.dispose();
  }
}