import 'package:flutter/material.dart';

class SampleCustomWidget extends StatelessWidget {
  // プロパティ
  final String text;

  // コンストラクタ
  const SampleCustomWidget ({
    super.key,
    required this.text  // textの初期化処理にrequiredを付ける
  });

  @override
  Widget build(BuildContext context) {
    return Text(text);
  }
}

class UserNameWidget extends StatelessWidget {
  // プロパティ
  final String name;
  final int? age;

  // コンストラクタ
  const UserNameWidget({
    super.key,
    required this.name,  // 必須プロパティ
    this.age  // 設定を省略できるプロパティ
  });

  @override
  Widget build(BuildContext context) {
    var userAge = age ?? 0;  // ?? はageの値がnullだったときに0が入る
    return Column(
      children: [
        Text(name),
        Text('$userAge')
      ],
    );
  }
}