import 'dart:io';
import 'package:flutter/material.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        useMaterial3: false,  // Material 3𖳌ɂ
      ),
      home: const SampleWidget(),
    );
  }
}

class SampleWidget extends StatelessWidget {
  const SampleWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: Platform.isIOS ? const Text('iOS App') : const Text('Android App'),
      ),
      body: Container(
        child: Platform.isIOS ? const RedWidget() : const GreenWidget(),
      ),
    );
  }
}

class RedWidget extends StatelessWidget {
  const RedWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Container(
      height: 200.0,
      width: 200.0,
      color: Colors.red,
    );
  }
}

class GreenWidget extends StatelessWidget {
  const GreenWidget({super.key});

  @override
  Widget build(BuildContext context) {
    return Center(
      child: Container(
        height: 200.0,
        width: 200.0,
        color: Colors.green,
      ),
    );
  }
}
