import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return const CupertinoApp(
      title: 'Flutter Demo',
      home: PracticeWidget(),
    );
  }
}

class PracticeWidget extends StatefulWidget {
  const PracticeWidget({super.key});

  @override
  State<PracticeWidget> createState() => _PracticeWidgetState();
}

class _PracticeWidgetState extends State<PracticeWidget> {

  late TextEditingController _textController;

  @override
  void initState() {
    super.initState();
    _textController = TextEditingController(text: '何か入力してください');
  }

  @override
  Widget build(BuildContext context) {
    return CupertinoPageScaffold(
      navigationBar: const CupertinoNavigationBar(
          leading: Icon(CupertinoIcons.home),
          middle: Text('iOS App'),
          trailing: Icon(CupertinoIcons.add)
      ),
      backgroundColor: Colors.green,
      child: SafeArea(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Text(_textController.text),
            CupertinoTextField(
              onChanged: (value) {
                _textController.text = value;
              },
              onSubmitted: (value) {
                setState(() {
                  _textController.text = value;
                });
              },
            )
          ],
        ),
      ),
    );
  }
}