import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'dart:io';

void main() {
  runApp(const MyApp());
}

class MyApp extends StatelessWidget {
  const MyApp({super.key});

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Flutter Demo',
      theme: ThemeData(
        useMaterial3: false,  // Material 3𖳌ɂ
      ),
      home: PracticeWidget(),
    );
  }
}

class PracticeWidget extends StatefulWidget {
  const PracticeWidget({super.key});

  @override
  State<PracticeWidget> createState() => _PracticeWidgetState();
}

class _PracticeWidgetState extends State<PracticeWidget> {

  bool _switchValue = false;

  void _switchOnChanged(bool changed) {
    setState(() {
      _switchValue = changed;
    });
  }

  @override
  Widget build(BuildContext context) {

    var isIOS = Platform.isIOS;

    var iOSBody = CupertinoPageScaffold(
      navigationBar: const CupertinoNavigationBar(
          leading: Icon(CupertinoIcons.home),
          middle: Text('iOS App'),
          trailing: Icon(CupertinoIcons.add)
      ),
      child: SafeArea(
        child: Center(
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text(_switchValue ? 'true' : 'false',
                  style: const TextStyle(
                      fontSize: 20.0
                  )
              ),
              CupertinoSwitch(
                  value: _switchValue,
                  onChanged: (value) {
                    _switchOnChanged(value);
                  }
              ),
            ],
          ),
        ),
      ),
    );

    var androidBody = Scaffold(
      appBar: AppBar(
        title: const Text('Android App'),
      ),
      body: Center(
        child: Column(
          mainAxisAlignment: MainAxisAlignment.center,
          children: [
            Text(_switchValue ? 'true' : 'false',
                style: const TextStyle(
                    fontSize: 20.0
                )
            ),
            Switch(
                value: _switchValue,
                onChanged: (value) {
                  _switchOnChanged(value);
                }
            ),
          ],
        ),
      ),
    );
    return isIOS ? iOSBody : androidBody;
  }
}